[Qa-jenkins-scm] [jenkins.debian.net] 01/01: fixup! d-i: pass non_{po, pdf}_langs as params to aid checking manuals
Holger Levsen
holger at layer-acht.org
Wed Jan 25 12:33:39 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit cfa73f082b5e2d30421df31473afc1fa918d5d92
Author: Philip Hands <phil at hands.com>
Date: Wed Jan 25 13:31:08 2017 +0100
fixup! d-i: pass non_{po,pdf}_langs as params to aid checking manuals
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/d-i_check_jobs.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/bin/d-i_check_jobs.sh b/bin/d-i_check_jobs.sh
index 9c429fc..2107cf4 100755
--- a/bin/d-i_check_jobs.sh
+++ b/bin/d-i_check_jobs.sh
@@ -145,11 +145,11 @@ for DIRECTORY in * ; do
for FORMAT in pdf html ; do
# Some languages are unsupported in PDF
if [ $FORMAT = pdf ] &&
- expr match ${NON_PDF_LANGS} ".*\b${DIRECTORY}\b" >/dev/null ; then
+ expr match "${NON_PDF_LANGS}" ".*\b${DIRECTORY}\b" >/dev/null ; then
continue
fi
# we add a _po2xml suffix for all but the NON_PO_LANGS
- if ! expr match ${NON_PO_LANGS} ".*\b${DIRECTORY}\b" >/dev/null ; then
+ if ! expr match "${NON_PO_LANGS}" ".*\b${DIRECTORY}\b" >/dev/null ; then
FORMAT=${FORMAT}_po2xml
fi
if [ ! -d ~jenkins/jobs/${DI_MANUAL_JOB_PATTERN}${DIRECTORY}_${FORMAT} ] ; then
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list